/*
 * gc global variable provides access to GUI Composer infrastructure components and project information.
 * For more information, please see the Working with Javascript guide in the online help.
 */
var gc = gc || {};
gc.services = gc.services || {};

/*
*  Boilerplate code for creating computed data bindings
*/
document.addEventListener('gc-databind-ready', function() 
{
    /* 
	*   Add custom computed value databindings here, using the following method:
	*
    *   function gc.databind.registry.bind(targetBinding, modelBinding, [getter], [setter]);
	*
	*   param targetBinding - single binding string or expression, or array of binding strings for multi-way binding.
	*   param modelBinding - single binding string or expression, or array of binding strings for multi-way binding.
	*   param getter - (optional) - custom getter function for computing the targetBinding value(s) based on modelBinding value(s).
	*   param setter - (optional) - custom setter function for computing the modelBinding value(s) based on targetBinding value(s).
    */
	
	// For example, a simple computed values based on simple expression
	// gc.databind.registry.bind('widget.id.propertyName', "targetVariable == 1 ? 'binding is one' : 'binding is not one'");
	
	// Or a custom two-way binding with custome getter and setter functions.  (setter is optional)  (getter only indicates one-way binding)
	// gc.databind.registry.bind('widget.id.propertyName', "targetVariable", function(value) { return value*5/9 + 32; }, function(value) { (return value-32)*9/5; });
	
	// Event 1 to n bindings
	/* 
    gc.databind.registry.bind('widget.date.value', 
        // dependant bindings needed in order to compute the date, in name/value pairs.
        {
            weekday: 'widget.dayOfWeek.selectedText',
            day: 'widget.dayOfMonth.value',
            month: 'widget.month.selectedText',
            year: 'widget.year.value'
        }, 
        // getter for date computation
        function(values) 
        {
            // compute and return the string value to bind to the widget with id 'date'
            return values.weekday + ', ' + values.month + ' ' + values.day + ', ' + values.year;
        }
    ); 
	*/



//Device_Selection
templateObj.$.Device_Selection.labels = 'TPS650320-Q1|TPS650330-Q1|TPS650331-Q1|TPS650332-Q1|TPS650333-Q1';
templateObj.$.Device_Selection.values = '1|144|192|208|240';
	
//BUCK1_VOUT:
templateObj.$.BUCK1_VOUT.labels = '2.50V|2.55V|2.60V|2.65V|2.70V|2.75V|2.80V|2.85V|2.90V|2.95V|3.00V|3.05V|3.10V|3.15V|3.20V|3.25V|3.30V|3.35V|3.40V|3.45V|3.50V|3.55V|3.60V|3.65V|3.70V|3.75V|3.80V|3.85V|3.90V|3.95V|4.00V|4.00V';
templateObj.$.BUCK1_VOUT.values = '0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|16|17|18|19|20|21|22|23|24|25|26|27|28|29|30|31';

//BUCK1_UVLO_Setting:
templateObj.$.BUCK1_UVLO_Rising.labels = '3.64V|4.16V|4.68V|5.20V|5.72V|6.24V|6.76V|7.28V|7.80V|8.32V|8.84V|9.36V|9.36V|9.36V|9.36V|9.36V';
templateObj.$.BUCK1_UVLO_Rising.values = '0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15';

templateObj.$.BUCK1_UVLO_Falling.labels = '3.5V|4.0V|4.5V|5.0V|5.5V|6.0V|6.5V|7.0V|7.5V|8.0V|8.5V|9.0V|9.0V|9.0V|9.0V|9.0V';
templateObj.$.BUCK1_UVLO_Falling.values = '0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15';

//BUCK2_VOUT:
templateObj.$.BUCK2_VOUT.labels = '0.9V|0.95V|1.000V|1.025V|1.050V|1.075V|1.100V|1.125V|1.150V|1.175V|1.200V|1.225V|1.250V|1.275V|1.300V|1.325V|1.350V|1.375V|1.400V|1.425V|1.450V|1.475V|1.500V|1.525V|1.550V|1.575V|1.600V|1.700V|1.750V|1.800V|1.850V|1.900V';
templateObj.$.BUCK2_VOUT.values = '0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|16|17|18|19|20|21|22|23|24|25|26|27|28|29|30|31';

//BUCK3_VOUT:
templateObj.$.BUCK3_VOUT.labels = '0.9V|0.95V|1.000V|1.025V|1.050V|1.075V|1.100V|1.125V|1.150V|1.175V|1.200V|1.225V|1.250V|1.275V|1.300V|1.325V|1.350V|1.375V|1.400V|1.425V|1.450V|1.475V|1.500V|1.525V|1.550V|1.575V|1.600V|1.700V|1.750V|1.800V|1.850V|1.900V';
templateObj.$.BUCK3_VOUT.values = '0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|16|17|18|19|20|21|22|23|24|25|26|27|28|29|30|31';

//LDO_VOUT:
templateObj.$.LDO_VOUT.labels = '1.800V|1.825V|2.500V|2.525V|2.550V|2.575V|2.600V|2.625V|2.650V|2.675V|2.700V|2.725V|2.750V|2.775V|2.800V|2.825V|2.850V|2.875V|2.900V|2.925V|2.950V|2.975V|3.000V|3.025V|3.050V|3.075V|3.100V|3.125V|3.150V|3.175V|3.200V|3.300V';
templateObj.$.LDO_VOUT.values = '0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|16|17|18|19|20|21|22|23|24|25|26|27|28|29|30|31';

//LDO_Discharge_Control:
templateObj.$.LDO_Discharge_Control.labels = '50000 ohm|125 ohm|250 ohm|500 ohm';
templateObj.$.LDO_Discharge_Control.values = '0|1|2|3';

//BUCK1_Discharge_Control:
templateObj.$.BUCK1_Discharge_Control.labels = '50000 ohm|125 ohm|250 ohm|500 ohm';
templateObj.$.BUCK1_Discharge_Control.values = '0|1|2|3';

//BUCK2_Discharge_Control:
templateObj.$.BUCK2_Discharge_Control.labels = '50000 ohm|125 ohm|250 ohm|500 ohm';
templateObj.$.BUCK2_Discharge_Control.values = '0|1|2|3';

//BUCK3_Discharge_Control:
templateObj.$.BUCK3_Discharge_Control.labels = '50000 ohm|125 ohm|250 ohm|500 ohm';
templateObj.$.BUCK3_Discharge_Control.values = '0|1|2|3';



//BUCK1_SEQ_DLY_ON:
templateObj.$.BUCK1_SEQ_DLY_ON.labels = '0ms|0.5ms|1ms|2ms|3ms|4ms|5ms|6ms|7ms|8ms|9ms|10ms|12ms|14ms|16ms|20ms';
templateObj.$.BUCK1_SEQ_DLY_ON.values = '0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15';

//BUCK1_SEQ_DLY_OFF:
templateObj.$.BUCK1_SEQ_DLY_OFF.labels = '0ms|0.5ms|1ms|2ms|3ms|4ms|5ms|6ms|7ms|8ms|9ms|10ms|12ms|14ms|16ms|20ms';
templateObj.$.BUCK1_SEQ_DLY_OFF.values = '0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15';

//BUCK2_SEQ_DLY_OFF:
templateObj.$.BUCK2_SEQ_DLY_OFF.labels = '0ms|0.5ms|1ms|2ms|3ms|4ms|5ms|6ms|7ms|8ms|9ms|10ms|12ms|14ms|16ms|20ms';
templateObj.$.BUCK2_SEQ_DLY_OFF.values = '0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15';

//BUCK2_SEQ_DLY_ON:
templateObj.$.BUCK2_SEQ_DLY_ON.labels = '0ms|0.5ms|1ms|2ms|3ms|4ms|5ms|6ms|7ms|8ms|9ms|10ms|12ms|14ms|16ms|20ms';
templateObj.$.BUCK2_SEQ_DLY_ON.values = '0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15';

//BUCK3_SEQ_DLY_ON:
templateObj.$.BUCK3_SEQ_DLY_ON.labels = '0ms|0.5ms|1ms|2ms|3ms|4ms|5ms|6ms|7ms|8ms|9ms|10ms|12ms|14ms|16ms|20ms';
templateObj.$.BUCK3_SEQ_DLY_ON.values = '0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15';

//BUCK3_SEQ_DLY_OFF:
templateObj.$.BUCK3_SEQ_DLY_OFF.labels = '0ms|0.5ms|1ms|2ms|3ms|4ms|5ms|6ms|7ms|8ms|9ms|10ms|12ms|14ms|16ms|20ms';
templateObj.$.BUCK3_SEQ_DLY_OFF.values = '0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15';

//LDO_SEQ_DLY_ON:
templateObj.$.LDO_SEQ_DLY_ON.labels = '0ms|0.5ms|1ms|2ms|3ms|4ms|5ms|6ms|7ms|8ms|9ms|10ms|12ms|14ms|16ms|20ms';
templateObj.$.LDO_SEQ_DLY_ON.values = '0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15';

//LDO_SEQ_DLY_OFF:
templateObj.$.LDO_SEQ_DLY_OFF.labels = '0ms|0.5ms|1ms|2ms|3ms|4ms|5ms|6ms|7ms|8ms|9ms|10ms|12ms|14ms|16ms|20ms';
templateObj.$.LDO_SEQ_DLY_OFF.values = '0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15';

//nRSTOUT_DLY_OFF:
templateObj.$.nRSTOUT_DLY_OFF.labels = '0ms|0.5ms|1ms|2ms|3ms|4ms|5ms|6ms|7ms|8ms|9ms|10ms|12ms|14ms|16ms|20ms';
templateObj.$.nRSTOUT_DLY_OFF.values = '0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15';

//nRSTOUT_DLY_ON:
templateObj.$.nRSTOUT_DLY_ON.labels = '0ms|0.5ms|1ms|2ms|3ms|4ms|5ms|6ms|7ms|8ms|9ms|10ms|12ms|14ms|16ms|20ms';
templateObj.$.nRSTOUT_DLY_ON.values = '0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15';

//GPIO_DLY_OFF:
templateObj.$.GPIO_DLY_OFF.labels = '0ms|0.5ms|1ms|2ms|3ms|4ms|5ms|6ms|7ms|8ms|9ms|10ms|12ms|14ms|16ms|20ms';
templateObj.$.GPIO_DLY_OFF.values = '0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15';

//GPIO_DLY_ON:
templateObj.$.GPIO_DLY_ON.labels = '0ms|0.5ms|1ms|2ms|3ms|4ms|5ms|6ms|7ms|8ms|9ms|10ms|12ms|14ms|16ms|20ms';
templateObj.$.GPIO_DLY_ON.values = '0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15';


//BUCK1_UV_SET:
templateObj.$.BUCK1_UV_SET.labels = '96%|95.5%|95%|94.5%';
templateObj.$.BUCK1_UV_SET.values = '0|1|2|3';

//BUCK1_OV_SET:
templateObj.$.BUCK1_OV_SET.labels = '104%|104.5%|105%|105.5%';
templateObj.$.BUCK1_OV_SET.values = '0|1|2|3';

//BUCK2_UV_SET:
templateObj.$.BUCK2_UV_SET.labels = '96%|95.5%|95%|94.5%';
templateObj.$.BUCK2_UV_SET.values = '0|1|2|3';

//BUCK2_OV_SET:
templateObj.$.BUCK2_OV_SET.labels = '104%|104.5%|105%|105.5%';
templateObj.$.BUCK2_OV_SET.values = '0|1|2|3';

//BUCK3_UV_SET:
templateObj.$.BUCK3_UV_SET.labels = '96%|95.5%|95%|94.5%';
templateObj.$.BUCK3_UV_SET.values = '0|1|2|3';

//BUCK3_OV_SET:
templateObj.$.BUCK3_OV_SET.labels = '104%|104.5%|105%|105.5%';
templateObj.$.BUCK3_OV_SET.values = '0|1|2|3';

//LDO_UV_SET:
templateObj.$.LDO_UV_SET.labels = '96.5%|96%|95.5%|95%';
templateObj.$.LDO_UV_SET.values = '0|1|2|3';

//LDO_OV_SET:
templateObj.$.LDO_OV_SET.labels = '104%|104.5%|105%|105.5%';
templateObj.$.LDO_OV_SET.values = '0|1|2|3';

//LDO_IOUT:
templateObj.$.LDO_IOUT.labels = '200mA|400mA';
templateObj.$.LDO_IOUT.values = '0|1';

//LDO_BYP_EN:
templateObj.$.LDO_BYP_EN.labels = 'LDO operation|Bypass Mode operation';
templateObj.$.LDO_BYP_EN.values = '0|1';	


});

/*
*  Boilerplate code for creating custom actions
*/
document.addEventListener('gc-nav-ready', function() 
{
    /* 
	*   Add custom actions for menu items using the following api:
	*
    *   function gc.nav.registryAction(id, runable, [isAvailable], [isVisible]);
	*
	*   param id - uniquely identifies the action, and should correspond to the action property of the menuaction widget.
	*   param runable - function that performs the custom action.
	*   param isAvailable - (optional) - function called when the menu action is about to appear.  Return false to disable the action, or true to enable it.
	*   param isVisible - (optional) - function called when the menu action is about to appear.  Return false to hide the action, or true to make it visible.
    */
	
	// For example,
	// gc.nav.registerAction('myCustomCloseAction', function() { window.close(); }, function() { return true; }, function() { return true; });
	
	// Alternatively, to programmatically disable a menu action at any time use:
	// gc.nav.disableAction('myCustomCloseAction);    then enable it again using:  gc.nav.enableAction('myCustomCloseAction'); 


    
   
    
    
});

/*
*  Boilerplate code for working with components in the application gist
*/
/*

var initComplete = false;
var templateObj;

// Wait for DOMContentLoaded event before trying to access the application template
var init = function() {
    templateObj = document.querySelector('#template_obj');

    // Wait for the template to fire a dom-change event to indicate that it has been 'stamped'
    // before trying to access components in the application.
	templateObj.addEventListener('dom-change',function(){
	    if (initComplete) return;
	    this.async(function(){
    	    initComplete = true;
    	    console.log("Application template has been stamped.");
  	        // Now that the template has been stamped, you can use 'automatic node finding' $ syntax to access widgets.
  	        // e.g. to access a widget with an id of 'widget_id' you can use templateObj.$.widgetId
  	        
  	        
	

	        
  	        
  	        
  	        
  	        
  	        

        },1);

	});


};

templateObj = document.querySelector('#template_obj');
if (templateObj) {
    init();
} else {
    document.addEventListener('DOMContentLoaded',init.bind(this))
}

*/
